
=head1 NAME

Win32::GUI::Splitter - Create and manipulate window splitter controls

=head1 DESCRIPTION

[TBD]

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(PARENT, %OPTIONS)>

Creates a new Splitter object;
can also be called as PARENT->AddSplitter(%OPTIONS).

Class specific B<%OPTIONS> are:

  -horizontal => 0/1 (default 0)
    Set/Unset horizontal orientation
  -min => VALUE
    Set minimum range value.
  -max => VALUE
    Set maximum range value.
  -range => [ MIN, MAX ]
    Set range values.

See also the L<common options|Win32::GUI::Reference::Options>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Horizontal

B<Horizontal([VALUE])>

Get or Set Horizontal orientation.  If value is true, then sets
the splitter orientation to horizontal.  If value is false, then
sets the splitter to Vertical orintation.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Max

B<Max([VALUE])>

Get or Set Max value. The max value is the maximum position
to which the left(top) of the splitter can be dragged, in
the parent window for a horizontal(vertical) splitter.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Min

B<Min([VALUE])>

Get or Set Min value. The min value is the minimum position
to which the left(top) of the splitter can be dragged, in
the parent window for a horizontal(vertical) splitter.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Vertical

B<Vertical([VALUE])>

Get or Set Vertical orientation.  If value is true, then sets
the splitter orientation to vertuical.  If value is false, then
sets the splitter to horizontal orintation.




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Release

B<Release(COORD)>

Sent when the Splitter is released after being
dragged to a new location (identified by the
COORD parameter). COORD is the top coordinate
of a horizontal splitter or the left coordinate
of a vertical splitter.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.12 created 20 Jan 2016

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/p/perl-win32-gui/mailman/perl-win32-gui-users/>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2016 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


